Bug 7476 - Files executable that probably should not be
Summary: Files executable that probably should not be
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P3 normal (vote)
Assignee: Aleksa Vujicic
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-30 20:59 UTC by MJ Ray (software.coop)
Modified: 2013-12-05 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: Seeking cosponsors
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
xt/find-misplaced-executables (1.33 KB, text/plain)
2012-01-30 20:59 UTC, MJ Ray (software.coop)
Details
Bug 7476 – Remove executable bit from files that probably should not be executed (5.14 KB, patch)
2012-01-30 21:07 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
[SIGNED-OFF] 7391: Bug 7476 – Remove executable bit from files that probably should not be executed (5.21 KB, patch)
2012-01-31 03:19 UTC, Aleksa Vujicic
Details | Diff | Splinter Review
[PASSED_QA] Patch (5.03 KB, patch)
2012-02-03 12:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description MJ Ray (software.coop) 2012-01-30 20:59:53 UTC Comment hidden (obsolete)
Comment 1 MJ Ray (software.coop) 2012-01-30 21:07:40 UTC Comment hidden (obsolete)
Comment 2 Aleksa Vujicic 2012-01-31 03:19:24 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2012-02-03 12:44:11 UTC
Created attachment 7442 [details] [review]
[PASSED_QA] Patch
Comment 4 Marcel de Rooy 2012-02-03 12:45:11 UTC
Tested. Works as advertised. Amended patch to correct copy-and-paste comments.
Incrementing status..
Comment 5 Paul Poulain 2012-02-03 13:28:54 UTC
patch pushed, but my suggestion would be to also add
        '!' -name '*.*~' \
and 
        '!' -name '*.old' \
        '!' -name '*.bak' \

to the list of excluded files for xt/find-misplaced-executables

Do you think it could be a good idea ?
Comment 6 Jared Camins-Esakov 2012-12-31 00:34:18 UTC
There have been no further reports of problems so I am marking this bug resolved.